Bug 733044 - os.utime does not work on CIFS share
Summary: os.utime does not work on CIFS share
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: python
Version: 15
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-24 15:01 UTC by Sandro Bonazzola
Modified: 2012-08-07 16:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 16:09:23 UTC


Attachments (Terms of Use)

Description Sandro Bonazzola 2011-08-24 15:01:19 UTC
Description of problem:
When I try to use utime for setting mtime / atime for a file on CIFS share I've an OSError wirh errno ENOENT.
os.stat works fine without errors on the same file.

Searching around I've found bug #443395 so I've tested mtime preservation with cp -p and it works fine.

The bug is present in Fedora 14 and 15.

Version-Release number of selected component (if applicable):
On Fedora 15: python-2.7.1-7.fc15.i686
On Fedora 14: python-2.7-8.fc14.1.i686

How reproducible:
Always reproducible

Steps to Reproduce:
1. mount a CIFS share, say to /mnt/cifs1
2. cd /tmp; echo 123 > f123; touch -d '2005-01-02 11:00' f123
3. use the following script:

import shutil
import os

old = os.stat("/tmp/f123")
shutil.copyfile("/tmp/f123", "/mnt/cifs1/f123")
os.utime("/mnt/cifs1/f123", (old.st_atime, old.st_mtime))

Actual results:
OSError raised with errno 2

Expected results:
os.utime should be successfully executed

Comment 1 Sandro Bonazzola 2011-08-25 09:17:20 UTC
It seems that OSError is raised only if the CIFS server doesn't support the option serverino or if noserverino is specified at mount time.

cp -p works with both serverino and noserverino
python copyfile + utime doesn't work with noserverino

Comment 2 Fedora End Of Life 2012-08-07 16:09:25 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.